import * as ec2 from '@aws-cdk/aws-ec2';
import * as awsLambda from '@aws-cdk/aws-lambda';
import * as s3 from '@aws-cdk/aws-s3';
import * as cdk from '@aws-cdk/core';
/**
 * @stability stable
 */
export interface FlywayConstructParams {
    /**
     * @stability stable
     */
    readonly bucket: s3.IBucket;
    /**
     * @stability stable
     */
    readonly vpc: ec2.IVpc;
    /**
     * @stability stable
     */
    readonly subnet: ec2.SubnetSelection;
    /**
     * @stability stable
     */
    readonly securityGroups: [ec2.SecurityGroup];
    /**
     * @stability stable
     */
    readonly migrationBucketSecretArn: string;
    /**
     * @stability stable
     */
    readonly timeout?: cdk.Duration;
    /**
     * @stability stable
     */
    readonly memorySize?: number;
}
/**
 * @stability stable
 */
export declare class FlywayConstruct extends cdk.Construct {
    /**
     * @stability stable
     */
    flywayLambdaMigration: awsLambda.Function;
    /**
     * @stability stable
     */
    handler: string;
    /**
     * @stability stable
     */
    idLambdaCode: string;
    /**
     * @stability stable
     */
    bucketCodeArn: string;
    /**
     * @stability stable
     */
    objectCodeKey: string;
    /**
     * @stability stable
     */
    constructor(scope: cdk.Construct, id: string, params: FlywayConstructParams);
}
